summaryrefslogtreecommitdiffstats
path: root/tests/gnu/inum_automount.sh
diff options
context:
space:
mode:
authorTavian Barnes <tavianator@tavianator.com>2022-12-16 15:32:04 -0500
committerTavian Barnes <tavianator@tavianator.com>2022-12-16 15:32:04 -0500
commite50c19f284dad6b4b7b79f91cc8576a97626be8a (patch)
tree3fc7b15a412d4123d403bca6fdbf3225389926e1 /tests/gnu/inum_automount.sh
parent7d87b96b421b76e387cee903b7b7c1bc16c54310 (diff)
downloadbfs-e50c19f284dad6b4b7b79f91cc8576a97626be8a.tar.xz
tests: Turn on set -e
Diffstat (limited to 'tests/gnu/inum_automount.sh')
-rw-r--r--tests/gnu/inum_automount.sh8
1 files changed, 3 insertions, 5 deletions
diff --git a/tests/gnu/inum_automount.sh b/tests/gnu/inum_automount.sh
index 6bf2977..da2e3b0 100644
--- a/tests/gnu/inum_automount.sh
+++ b/tests/gnu/inum_automount.sh
@@ -5,13 +5,11 @@ command -v systemd-mount &>/dev/null || skip
clean_scratch
mkdir scratch/{foo,automnt}
+
sudo systemd-mount -A -o bind basic scratch/automnt || skip
+trap "sudo systemd-umount scratch/automnt" EXIT
before=$(inum scratch/automnt)
bfs_diff scratch -inum "$before" -prune
-ret=$?
after=$(inum scratch/automnt)
-
-sudo systemd-umount scratch/automnt
-
-((ret == 0 && before == after))
+((before == after))